/*
========================
GOBAL CSS START
========================
*/

@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap');


*,
*::before,
*::after {
  box-sizing: border-box;
}

@media (prefers-reduced-motion: no-preference) {
    :root {
      scroll-behavior: smooth;
    }
  }

body {	
    margin: 0;
    font-family: "Outfit", sans-serif;
    font-size: 16px;
    font-weight: 400;    
    background: #fff;
    color: var(--BlackColor);	
}

:root {
    --selection-bg: #0078d7;
    --selection-color: #fff;
    --SecondaryColor: #4370F5;
    --BlackColor: #000;
    --WhiteColor: #fff;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
    font-weight: 700;
}

p,
figure,
label {
    margin: 0;
}

img {
    max-width: 100%;
    vertical-align: middle;
}

ol,
ul {
    list-style: none;
    padding: 0;
    margin: 0;
}
button,
a {
    cursor: pointer;
    transition: 0.3s;
}
button:focus,
a:focus,
input:focus,
textarea:focus,
select:focus {
    outline: none;
}

a {
    text-decoration: none;
    color: inherit;
    transition: 0.2s all ease;
    -webkit-transition: 0.2s all ease;
    -moz-transition: 0.2s all ease;
}

a:visited,
a:hover,
a:active {
    text-decoration: none;
}

img {
    max-width: 100%;
}

::selection {
    color: var(--selection-color);
    background: var(--selection-bg);
}

::-webkit-selection {
    color: var(--selection-color);
    background: var(--selection-bg);
}

::-moz-selection {
    color: var(--selection-color);
    background: var(--selection-bg);
}

.container {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}


/* common css  */

.single-input {
	position: relative;
}

.single-input input {
	width: 100%;
	padding: 14px 42px 14px 12px;
	font-size: 16px;
	border-radius: 5px;
	outline: none;
	height: 55px;
	border: 1px solid rgba(0, 0, 0, 0.12);
	background: #FFF;
}

.single-input label {
	position: absolute;
	left: 12px;
	top: 50%;
	transform: translateY(-50%);
	font-size: 16px;
	pointer-events: none;
	transition: 0.25s ease;
	color: rgba(0, 0, 0, 0.32);
}

.single-input.active label {
	top: 14px;
	font-size: 12px;
	color: rgba(0, 0, 0, 0.32);
}

.show-hide {
	position: absolute;
	right: 10px;
	top: 50%;
	transform: translateY(-50%);
	background: none;
	border: none;
	font-size: 16px;
	cursor: pointer;
	display: none;
	color: rgba(0, 0, 0, 0.72);
}
.single-input.active input {
	padding-top: 26px;
	padding-bottom: 5px;
}
.action-btn {
    display: flex;
    min-height: 45px;
    padding: 10px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    color: #FFF;
    text-align: center;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    border: 1px solid #000;
    background: var(--BlackColor);
    box-shadow: -3px -3px 0 0 #0F98E4, 3px 3px 0 0 #7EF4F4;
    cursor: pointer;
    transition: 0.3s;
}
.action-btn:hover {
    background: rgba(0, 0, 0, 0.85);
}
  


/*===============
 GOBAL CSS END  
 ============== */

 
/*========= Page Field Interested ===== */

.main-wrapper {
    padding-block: 26px;
}

.progressbar {
    width: 300px;
    max-width: 100%;
    margin-inline: auto;
    height: 7px;
    background: rgba(0, 0, 0, 0.10);
    border-radius: 5px;
    display: flex;
    overflow: hidden;
}

.progress-track {
    height: 100%;
    background: var(--BlackColor);
    border-radius: 5px;
}
.progress-track.w-25 {
    width: 25%;
}


.quetion-area {
    padding-top: 50px;
    padding-bottom: 50px;
}
.quetion-title h2 {
    color: #000;
    font-size: 34px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.quetion-list {
    display: flex;
    flex-direction: column;
    gap: 30px;
    padding-top: 30px;
}
.single-quetion-item {
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.quetion {
    display: flex;
    align-items: center;
    gap: 10px;
}
.quetion .icon img {
    width: 26px;
}
.quetion h4 {
    color: #000;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
.quetion-answare {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.quetion-option {
    background: var(--WhiteColor);
    display: flex;
    padding: 6px 10px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 100px;
    border: 1px solid rgba(0, 0, 0, 0.14);
    cursor: pointer;
    color: rgba(0, 0, 0, 0.80);
    text-align: center;
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    transition: 0.3s;
}
.quetion-option.active {
    background: var(--SecondaryColor);
    color: var(--WhiteColor);
}
.quetion-option:hover {
    border-color: var(--SecondaryColor);
}


.continue-btn {
    position: fixed;
    left: 50%;
    bottom: 20px;
    width: 90vw;
    max-width: 1200px;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
}
.continue-btn button {
    width: 100%;
    max-width: 366px;
}

.quetion-input.single-input label {
	left: 44px;
}
.quetion-input.single-input input {
	padding-left: 44px;
}
.quetion-input .icon img {
    width: 30px;
}
.quetion-input input {
    font-size: 18px;
    color: var(--BlackColor);
}

.progress-track.w-50 {
	width: 50%;
}
.check-item input {
	accent-color: var(--BlackColor);
	width: 20px;
	height: 20px;
}
.check-item {
    display: flex;
    align-items: center;
    gap: 10px;
}
.check-item label {
    font-size: 18px;
    color: rgba(0, 0, 0, 0.88);
    cursor: pointer;
}
.progress-track.w-75 {
    width: 75%;
}
.progress-track.w-95 {
    width: 95%;
}
.quetion-input .icon {
	position: absolute;
	left: 10px;
	top: 50%;
	transform: translateY(-50%);
}

.clean-location {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    background: transparent;
    border: none;
    display: none;
}


@media screen and (min-width: 768px) and (max-width: 991px) {
    
/* intereset filed  */


.quetion-title h2 {
	font-size: 30px;
}
.quetion-answare {
	gap: 20px;
}

.quetion-option {
	padding: 10px;
	font-size: 14px;
}

.progressbar {
	width: 210px;
	height: 6px;
}


.check-item label {
	font-size: 16px;
}
.check-item input {
	width: 17px;
	height: 17px;
}

.sign-in-form h2 {
	font-size: 24px;
	font-weight: 500;
}
}

@media screen and (max-width: 768px) {

    
/* filed interested page  */
.main-wrapper {
	padding-inline: 0;
}
.quetion-title h2 {
	font-size: 24px;
}
.quetion-answare {
	gap: 16px;
}

.quetion-option {
	padding: 10px;
	font-size: 14px;
	font-weight: 500;
}
.quetion-area {
	padding-top: 24px;
}

.quetion .icon img {
	width: 20px;
}
.quetion h4 {
	font-size: 16px;
}
.single-quetion-item {
	gap: 16px;
}
.quetion-list {
	padding-top: 24px;
}


.quetion-input input {
	font-size: 16px;
}

.quetion-input .icon img {
	width: 20px;
}

.progressbar {
	width: 128px;
	height: 4px;
}
.action-btn {
	font-size: 16px;
}


.check-item {
	gap: 8px;
}
.check-item input {
	width: 16px;
	height: 16px;
}
.check-item label {
	font-size: 14px;
}

.quetion-input.single-input input {
	padding-left: 40px;
}
.quetion-input.single-input label {
	left: 40px;
}

}